weka.core

## Class Version

- java.lang.Object
- - weka.core.Version

- All Implemented Interfaces:
    java.lang.Comparable<java.lang.String>, RevisionHandler

      public class Version
      extends java.lang.Object
      implements java.lang.Comparable<java.lang.String>, RevisionHandler

  This class contains the version number of the current WEKA release and some methods for comparing another version string. The normal layout of a version string is "MAJOR.MINOR.REVISION", but it can also handle partial version strings, e.g. "3.4".
  Should be used e.g. in exports to XML for keeping track, with which version of WEKA the file was produced.
  Version:
    $Revision: 10203 $
  Author:
    FracPete (fracpete at waikato dot ac dot nz)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MAJOR` the major version
    `static int` | `MINOR` the minor version
    `static int` | `POINT` point revision
    `static int` | `REVISION` the revision
    `static boolean` | `SNAPSHOT` True if snapshot
    `static java.lang.String` | `VERSION` the complete version
    `static java.lang.String` | `VERSION_FILE` the version file

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Version()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(java.lang.String o)` checks the version of this class against the given version-string
    `boolean` | `equals(java.lang.Object o)` whether the given version string is equal to this version
    `java.lang.String` | `getRevision()` Returns the revision string.
    `boolean` | `isNewer(java.lang.String o)` checks whether this version is newer than the one from the given version string
    `boolean` | `isOlder(java.lang.String o)` checks whether this version is older than the one from the given version string
    `static void` | `main(java.lang.String[] args)` only for testing
    `java.lang.String` | `toString()` returns the current version as string

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### VERSION_FILE

          public static final java.lang.String VERSION_FILE

      the version file
      See Also:
        Constant Field Values

    - #### MAJOR

          public static int MAJOR

      the major version

    - #### MINOR

          public static int MINOR

      the minor version

    - #### REVISION

          public static int REVISION

      the revision

    - #### POINT

          public static int POINT

      point revision

    - #### SNAPSHOT

          public static boolean SNAPSHOT

      True if snapshot

    - #### VERSION

          public static java.lang.String VERSION

      the complete version

  - ### Constructor Detail

    - #### Version

          public Version()

  - ### Method Detail

    - #### compareTo

          public int compareTo(java.lang.String o)

      checks the version of this class against the given version-string
      Specified by:
        `compareTo` in interface `java.lang.Comparable<java.lang.String>`
      Parameters:
        `o` - the version-string to compare with
      Returns:
        -1 if this version is less, 0 if equal and +1 if greater than the provided version

    - #### equals

          public boolean equals(java.lang.Object o)

      whether the given version string is equal to this version
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `o` - the version-string to compare to
      Returns:
        TRUE if the version-string is equals to its own

    - #### isOlder

          public boolean isOlder(java.lang.String o)

      checks whether this version is older than the one from the given version string
      Parameters:
        `o` - the version-string to compare with
      Returns:
        TRUE if this version is older than the given one

    - #### isNewer

          public boolean isNewer(java.lang.String o)

      checks whether this version is newer than the one from the given version string
      Parameters:
        `o` - the version-string to compare with
      Returns:
        TRUE if this version is newer than the given one

    - #### toString

          public java.lang.String toString()

      returns the current version as string
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the current version

    - #### getRevision

          public java.lang.String getRevision()

      Returns the revision string.
      Specified by:
        `getRevision` in interface `RevisionHandler`
      Returns:
        the revision

    - #### main

          public static void main(java.lang.String[] args)

      only for testing
      Parameters:
        `args` - the commandline arguments - ignored